Subject: bug#28693: closed (Re: [PATCH] gnu: Add missing input to python-py3status and fix call path.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Oct 2017 11:06:02 +0000

Your bug report

#28693: [PATCH] gnu: Add missing input to python-py3status.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28693: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28693
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: Add missing input to python-py3status and fix call path.
From: Tomáš Čech <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: Marius Bakke <[email-masked]>, [email-masked]
Date: Sun, 8 Oct 2017 13:05:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Oct 06, 2017 at 06:32:50AM +0000, Christopher Baines wrote:
>On Thu,  5 Oct 2017 23:24:39 +0200
>Tomáš Čech <[email-masked]> wrote:
>
>> * gnu/packages/python.scm (python-py3status)[inputs, arguments]: Add
>> missing file utility as input, adjust path used to call it.
>
>I would usually put the changelog last, as I think this is more
>consistent with other committers. Also, maybe this could be more
>specific like:
>
>    * gnu/packages/python.scm (python-py3status)[inputs]: Add file.
>      [arguments]: Modify phases to patch py3status to call file with an
>      absolute path.

I applied this change and pushed the commit.

Thanks for your time!

S_W

Subject: [PATCH] gnu: Add missing input to python-py3status.
From: Tomáš Čech <[email-masked]>
To: [email-masked]
Cc: Tomáš Čech <[email-masked]>
Date: Wed, 4 Oct 2017 00:57:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/python.scm (python-py3status): Add missing input.

file is used to determine configuration file encoding and py3status fails to
run when this tool is missing.
---
 gnu/packages/python.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 6ffd468b3..88f7ff1e4 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -11468,6 +11468,8 @@ to occurrences in strings and comments.")
         (base32
          "0i283z1pivmir61z8kbiycigc94l61v33ygzkhczf1ifq7cppyds"))))
     (build-system python-build-system)
+    (inputs
+     `(("file" ,file)))
     (arguments
      '(#:tests? #f)) ; TODO: Requires many libraries not in Guix.
     (home-page "https://github.com/ultrabug/py3status")
-- 
2.14.2